<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aios__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aios_char_value_t</compoundname>
    <includes local="no">cy_ble_aios.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aios__char__value__t_1a4099570aee375d505a731d72ddc74735" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_aios_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="143" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__char__value__t_1adb06d9113853ebc65e94788f02711baa" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_i_o_s__definitions_1gaef3e5bf38ffd6a7a302ab1d6c4254644">cy_en_ble_aios_char_index_t</ref></type>
        <definition>cy_en_ble_aios_char_index_t cy_stc_ble_aios_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="144" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__char__value__t_1aed24357c42a16d68f2ecf3b4a8b81b87" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aios_char_value_t::charInstance</definition>
        <argsstring />
        <name>charInstance</name>
        <briefdescription>
<para>Instance of specific service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="145" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__char__value__t_1acef669c1580219ed33cb18cd025d76a5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_aios_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="146" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__char__value__t_1a60a1b374cf73a084cfc26ff3c54c8476" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_aios_char_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>GATT error code for access control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="147" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AIOS Characteristic value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="18">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="16">
        <label>cy_stc_ble_aios_char_value_t</label>
        <link refid="structcy__stc__ble__aios__char__value__t" />
        <childnode refid="17" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="18" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="17">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="148" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="142" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aios__char__value__t_1adb06d9113853ebc65e94788f02711baa" virt="non-virtual"><scope>cy_stc_ble_aios_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__char__value__t_1aed24357c42a16d68f2ecf3b4a8b81b87" virt="non-virtual"><scope>cy_stc_ble_aios_char_value_t</scope><name>charInstance</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__char__value__t_1a4099570aee375d505a731d72ddc74735" virt="non-virtual"><scope>cy_stc_ble_aios_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__char__value__t_1a60a1b374cf73a084cfc26ff3c54c8476" virt="non-virtual"><scope>cy_stc_ble_aios_char_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__char__value__t_1acef669c1580219ed33cb18cd025d76a5" virt="non-virtual"><scope>cy_stc_ble_aios_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>